### Constructor

# Snapd MarkdownParser new

since: 1.48

#### Declaration [src]

    SnapdMarkdownParser*
    snapd_markdown_parser_new (
      SnapdMarkdownVersion version
    )

#### Description [src]

Create an object to parse markdown text.

Available since: 1.48

#### Parameters

`version`

  Type: `SnapdMarkdownVersion`

  Version supported by the client.

#### Return value

Type: `SnapdMarkdownParser`

A new `SnapdMarkdownParser`.

The caller of the function takes ownership of the data, and is responsible for freeing it.